Bug 1699 - stmpclean would choke on some common setups
: stmpclean would choke on some common setups
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/stmpclean)
: unstable
: all Linux
: P3 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-12-12 11:08 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-12-12 11:08:54
stmpclean-0.1-alt2 would not handle at least two cases properly:

- /tmp being a symlink to /var/tmp (quite common situation);
- large (>2Gb) files (int32 is a bottleneck).

It is annoying :-)
---

---
alt2..alt3 changelog:

* Wed Oct 30 2002 Dmitry V. Levin &lt;<a href="mailto:ldv@altlinux.org&gt" target="_new">ldv@altlinux.org&gt</a>; 0.1-alt3

- Rebuilt in new environment.

Hence the above should hold true too.
------- Comment #1 From 2002-12-13 12:39:46 -------
The /tmp-symlink problem made me switch from symlinking to another way of doing
the same configuration: mount the real location at /tmp/ with --bind. A line
like this in fstab does this:

/var/TMP        /tmp            auto    auto,bind       0 0
------- Comment #2 From 2002-12-13 12:39:46 -------
The /tmp-symlink problem made me switch from symlinking to another way of doing
the same configuration: mount the real location at /tmp/ with --bind. A line
like this in fstab does this:

/var/TMP        /tmp            auto    auto,bind       0 0
------- Comment #3 From 2002-12-13 18:13:43 -------
Thanks, it\'s overall cleaner (but won\'t work on Linux 2.2 which is in wide
use).

Probably worth adding if not to the email sent along with this
\&quot;problem\&quot; then to documentation?

edited on: 13-12 18:14
------- Comment #4 From 2002-12-13 18:13:43 -------
Thanks, it\'s overall cleaner (but won\'t work on Linux 2.2 which is in wide
use).

Probably worth adding if not to the email sent along with this
\&quot;problem\&quot; then to documentation?

edited on: 13-12 18:14
------- Comment #5 From 2002-12-15 00:32:26 -------
1. stmpclean won\'t follow symlinks, it\'s design feature.
If you replaced /tmp directory with symlink, you also have to edit /etc/cron.daily/stmpclean.

2. What\'s wrong with large files?

edited on: 15-12 00:33
------- Comment #6 From 2002-12-15 00:32:26 -------
1. stmpclean won\'t follow symlinks, it\'s design feature.
If you replaced /tmp directory with symlink, you also have to edit /etc/cron.daily/stmpclean.

2. What\'s wrong with large files?

edited on: 15-12 00:33
------- Comment #7 From 2002-12-15 19:44:45 -------
1: ok (but then add the --bind recipe to doc?
OTOH: if /tmp itself is a symlink then either we\'ve got bigger problems or it\'s _normal_.

2: complains regarding \&quot;inappropriate data type\&quot; or smth along that, can\'t quote the message as it\'s (sleepily) deleted.  The file in question was 7G sized but that should be *perfectly* ok.

edited on: 15-12 19:46
------- Comment #8 From 2002-12-15 19:44:45 -------
1: ok (but then add the --bind recipe to doc?
OTOH: if /tmp itself is a symlink then either we\'ve got bigger problems or it\'s _normal_.

2: complains regarding \&quot;inappropriate data type\&quot; or smth along that, can\'t quote the message as it\'s (sleepily) deleted.  The file in question was 7G sized but that should be *perfectly* ok.

edited on: 15-12 19:46
------- Comment #9 From 2002-12-15 20:30:36 -------
LFS support fixed in stmpclean-0.1-alt4.
------- Comment #10 From 2002-12-15 20:30:36 -------
LFS support fixed in stmpclean-0.1-alt4.